import App

def Create(pTorp):
    kCoreColor = App.TGColorA()
    kCoreColor.SetRGBA((222.0 / 255.0), (222.0 / 255.0), (253.0 / 255.0), 1.0)
    kGlowColor = App.TGColorA()
    kGlowColor.SetRGBA((61.0 / 255.0), (98.0 / 255.0), (239.0 / 255.0), 1.0)
    pTorp.CreateTorpedoModel('data/Textures/Tactical/CAQuantumTorpedo.tga', kCoreColor, 0.45, 3.0, 'data/Textures/Tactical/CAQuantumTorpedo.tga', kGlowColor, 1.2, 0.5, 0.95, 'data/Textures/Tactical/CAQuantumTorpedo.tga', kGlowColor, 15, 0.07, 0.07)
    pTorp.SetDamage(GetDamage())
    pTorp.SetDamageRadiusFactor(0.15)
    pTorp.SetGuidanceLifetime(GetGuidanceLifetime())
    pTorp.SetMaxAngularAccel(GetMaxAngularAccel())
    import Multiplayer.SpeciesToTorp
    pTorp.SetNetType(Multiplayer.SpeciesToTorp.QUANTUM)
    return 0


def GetLaunchSpeed():
    return 35.0


def GetLaunchSound():
    return 'CA Quantum'


def GetPowerCost():
    return 5.0


def GetName():
    return 'Quantum Torpedo'


def GetDamage():
    return 900.0


def GetGuidanceLifetime():
    return 6.0


def GetMaxAngularAccel():
    return 0.15